Subject: bug#17555: 24.4.50; 'mark-paragraph' does not allow extending the region backwards

From: Juri Linkov <[email-masked]>
Date: Thu, 15 Aug 2019 21:41:10 +0300

>> After reading (info "(emacs) Marking Objects") and doing some tests, I
>> wonder why 'mark-paragraph' does not behave like 'mark-word' and
>> 'mark-sexp' when the mark is located before point.  In that situation
>> 'mark-word' and 'mark-sexp' move the mark backwards to select an
>> earlier element (which I think is TRT), but 'mark-paragraph' moves the
>> mark forward instead (like when the mark is after point).
>>
>> Could this inconsistency be fixed?
>
> It is somewhat inconsistent, but it's been documented to be this way
> since at least 2001:
>
> --
> Put point at beginning of this paragraph, mark at end.
> The paragraph marked is the one that contains point or follows point.
> --

mark-paragraph could be fixed for consistency, but the problem is that
there are more commands that should be fixed then as well, e.g. mark-defun,
mark-page...